# OpalPCAPFile::FileHeader Struct Reference

`#include <pcapfile.h>`

## Data Fields

DWORD | magic_number
WORD | version_major
WORD | version_minor
DWORD | thiszone
DWORD | sigfigs
DWORD | snaplen
DWORD | network

## Field Documentation

DWORD OpalPCAPFile::FileHeader::magic_number

DWORD OpalPCAPFile::FileHeader::network

DWORD OpalPCAPFile::FileHeader::sigfigs

DWORD OpalPCAPFile::FileHeader::snaplen

DWORD OpalPCAPFile::FileHeader::thiszone

WORD OpalPCAPFile::FileHeader::version_major

WORD OpalPCAPFile::FileHeader::version_minor

The documentation for this struct was generated from the following file:

- pcapfile.h